using JiShe.CollectBus.Protocol.Interfaces;
using Microsoft.Extensions.Logging;

namespace JiShe.CollectBus.Protocol.T37612012.Appendix
{
    public class Appendix_A15 : IAnalysisStrategy<List<string>>
    {
        private readonly ILogger<Appendix_A15> _logger;

        public Appendix_A15(ILogger<Appendix_A15> logger)
        {
            _logger = logger;
        }

        public async Task<bool> ExecuteAsync(List<string> data, Action<dynamic>? result = null)
        {
            data.Reverse();
            data.Insert(0, DateTime.Now.ToString("yyyy").Substring(0, 2));
            string date= string.Join("", data);
            result?.Invoke(date);
            return await Task.FromResult(true);
        }
    }
}
